AnsweredAssumed Answered

Autosize Refplanes

Question asked by Jacob Filek on Feb 6, 2013
Latest reply on Dec 5, 2016 by Artem Taturevych
I would like to know if anyone can help me.
I'm trying to create a macro to "Autosize" the first three planes in a part.
It's a very frustrating problem when I see many part models created by other users that do not autosize the planes.
In the API there is a IRefPlaneFeatureData.AutoSize() Property that accepts a true or false.
The problem is that it does nothing. It doesn't matter what version the part was created either pre 2009 or post 2010.
Here is my code...
Do While Not Feat Is Nothing
If Feat.GetTypeName.ToString = "RefPlane" Then
Dim  finfo As SldWorks.RefPlaneFeatureData
finfo = Feat.GetDefinition
If finfo IsNot Nothing Then
finfo.AutoSize = True
End If
End If
Loop

Outcomes